<template lang="pug">
BaseCard(tabIndex='0').highlightOnFocus
  template(v-slot:header)
    .d-flex.justify-content-between
      div #[h5 Info]
      .ml-auto.clickable(@click='setEdit(true)' v-if='isRunInfo && !inEdit')
        kbd.keyHint.mr-2(v-if="showKeyHints") E
        i.fa.fa-cog
      .ml-auto.clickable(@click='setEdit(false)' v-if='isRunInfo && inEdit')
        kbd.keyHint.mr-2(v-if="showKeyHints") Esc
        i.fa.fa-times
  li(v-if='!dns' key='0')
    div.text-muted Please select an experiment area...
  li(v-if='dns && !isRunInfo' key='1')
    div.text-muted Waiting for Service...
  li(v-show='isRunInfo && isActive' key='2')
    strong Current Run
    .row.b-param-container
      BaseParamInput.col-12(ref='title' title='Title' :value='runInfo.title' :inEdit='inEdit')
      BaseParamReadonly.col-12.col-sm-6(ref='experiment' title='Exp. / Archive Folder' :value='runInfo.experiment' :inEdit='inEdit')
      BaseParamReadonly.col-12.col-sm-6(ref='runNumber' title='Run Number' :value='runInfo.runNumber' :inEdit='inEdit')
    BaseAnimationBlock(anim='height' :appear='false')
      .row.b-param-container(v-show='!inEdit')
        BaseParamList.col-12.col-lg-6(ref='detectors' title='Detectors Setup'
                         :inEdit='inEdit' :value='runInfo.detectorsSetupId'
                         :options='detectorsOpts')
        BaseParamList.col-12.col-lg-6(ref='materials' title='Materials Setup'
                         :inEdit='inEdit' :value='runInfo.materialsSetupId'
                         :options='materialsOpts')
    .row.b-param-container
      BaseParamInput.col-12(ref='description' title='Description' :value='runInfo.description' :inEdit='inEdit')
    BaseAnimationBlock(anim='height' :appear='false')
      .row.mt-2.justify-content-end(v-show='inEdit')
        .col-auto
          button.btn.btn-primary.mx-1(type='submit' @click='submit()')
            kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
            | Submit
  li(v-show='isRunInfo && (inEdit || !isActive)' key='5')
    RunConfig(ref='runConfig' :inEdit='inEdit' @submit='onSubmit')
</template>
<script>

export { default } from './RunInfo.vue.js';

</script>
